Commits

Joshua Bonsink committed ad47bfb

Removed some elements in the topology editor and created a separate menu in the left toolbar.

Comments (0)

Files changed (277)

gui/CHANGE

-#########################################
-## These are the change made for Imalse
-## [2012-08-18 22:28:41]
-#########################################
-editor.tcl
---------------------
-revise the popupConfigDialog 
-from line 2430 to line 2478. Add menu to configure the role and the traceflag
-
-
-cfgparse.tcl
----------------------
-revise from line 544 to line 549. export role and trace flag to the imn file, so
-that it can be loaded next time
-            role {
-                lappend $object "role {$value}"
-            }
-            traceflag {
-                lappend $object "traceflag {$value}"
-            }
-	
-
-linkcfg.tcl
-----------------------
-line 277 to 294
-add
-proc getLinkTraceFlag { link } {
-proc setLinkTraceFlag { link value } {
-
-nodecfg.tcl
-------------------------
-add the following functions
-getNodeRole
-setNodeRole
-getNodeTraceFlag
-setNodeTraceFlag
-
-
-util.tc
--------------------------
-add the following functions
-getid
-getLinkNodes
-echoPuts
-getRoleNode
-getTraceLinks
-getTraceNodes
-exportImalse
-
-
-initgui.tcl
------------------------
-Add
-# start Imalse
-set def_router_role none
-set def_router_traceflag no
-set defLinkTraceFlag no
-# end Imalse

gui/Makefile.am

-# CORE
-# (c)2010-2012 the Boeing Company.
-# See the LICENSE file included in this distribution.
-#
-# author: Jeff Ahrenholz  <jeffrey.m.ahrenholz@boeing.com>
-#
-# Makefile for installing the CORE GUI. Since it is a Tcl/Tk script, we do not
-# build anything here.
-#
-
-TCL_FILES	= annotations.tcl api.tcl canvas.tcl cfgparse.tcl \
-		core.tcl debug.tcl editor.tcl exec.tcl \
-		filemgmt.tcl gpgui.tcl \
-		graph_partitioning.tcl help.tcl \
-		initgui.tcl ipv4.tcl ipv6.tcl \
-		linkcfg.tcl mobility.tcl nodecfg.tcl \
-		nodes.tcl ns2imunes.tcl plugins.tcl \
-		tooltips.tcl topogen.tcl traffic.tcl util.tcl \
-		version.tcl widget.tcl wlan.tcl wlanscript.tcl \
-		exceptions.tcl
-
-TINY_ICONS	= icons/tiny/button.play.gif \
-		icons/tiny/select.gif icons/tiny/marker.gif \
-		icons/tiny/rj45.gif icons/tiny/text.gif \
-		icons/tiny/edit-delete.gif icons/tiny/stop.gif \
-		icons/tiny/blank.gif icons/tiny/mobility.gif \
-		icons/tiny/script_play.gif icons/tiny/arrow.gif \
-		icons/tiny/lanswitch.gif icons/tiny/script_pause.gif \
-		icons/tiny/pc.gif icons/tiny/rectangle.gif \
-		icons/tiny/observe.gif icons/tiny/document-new.gif \
-		icons/tiny/document-save.gif \
-		icons/tiny/view-refresh.gif icons/tiny/moboff.gif \
-		icons/tiny/document-properties.gif icons/tiny/arrow.up.gif \
-		icons/tiny/host.gif icons/tiny/hub.gif \
-		icons/tiny/twonode.gif icons/tiny/router.gif \
-		icons/tiny/eraser.gif \
-		icons/tiny/stock_connect.gif icons/tiny/stock_disconnect.gif \
-		icons/tiny/ping.gif icons/tiny/link.gif \
-		icons/tiny/start.gif \
-		icons/tiny/trace.gif icons/tiny/button.stop.gif \
-		icons/tiny/arrow.down.gif icons/tiny/oval.gif \
-		icons/tiny/wlan.gif icons/tiny/delete.gif \
-		icons/tiny/run.gif icons/tiny/tunnel.gif \
-		icons/tiny/script_stop.gif \
-		icons/tiny/router_black.gif icons/tiny/router_green.gif \
-		icons/tiny/router_red.gif icons/tiny/router_yellow.gif \
-		icons/tiny/router_purple.gif \
-		icons/tiny/ap.gif icons/tiny/mdr.gif \
-		icons/tiny/folder.gif \
-		icons/tiny/cel.gif \
-		icons/tiny/fileopen.gif
-
-NORM_ICONS	= icons/normal/gps-diagram.xbm \
-		icons/normal/router_black.gif icons/normal/host.gif \
-		icons/normal/hub.gif \
-		icons/normal/router.gif \
-		icons/normal/rj45.gif icons/normal/antenna.gif \
-		icons/normal/text.gif \
-		icons/normal/lanswitch.gif icons/normal/core-icon.png \
-		icons/normal/core-icon.xbm icons/normal/oval.gif \
-		icons/normal/wlan.gif icons/normal/pc.gif \
-		icons/normal/tunnel.gif icons/normal/core-logo-275x75.gif \
-		icons/normal/router_red.gif icons/normal/router_green.gif \
-		icons/normal/simple.xbm \
-		icons/normal/document-properties.gif \
-		icons/normal/thumb-unknown.gif \
-		icons/normal/router_purple.gif icons/normal/router_yellow.gif \
-		icons/normal/ap.gif icons/normal/mdr.gif
-
-CONFIG_FILES	= configs/sample1.imn configs/sample1.scen \
-		configs/sample1-bg.gif configs/sample2-ssh.imn \
-		configs/sample3-bgp.imn	configs/sample4-nrlsmf.imn \
-		configs/sample4.scen configs/sample4-bg.jpg \
-		configs/sample5-mgen.imn configs/sample6-emane-rfpipe.imn \
-		configs/sample7-emane-ieee80211abg.imn
-
-OTHER_FILES	= core-bsd-cleanup.sh
-
-#
-# CORE GUI script (/usr/local/bin/core)
-#
-dist_bin_SCRIPTS = core
-
-#
-# Tcl/Tk scripts (/usr/local/lib/core)
-#
-coredir			= $(CORE_LIB_DIR)
-dist_core_DATA		= $(TCL_FILES) 
-dist_core_SCRIPTS	= $(OTHER_FILES)
-
-#
-# Icon files (/usr/local/lib/core/icons/[tiny,normal])
-#
-coreiconnormaldir	= $(coredir)/icons/normal
-dist_coreiconnormal_DATA = $(NORM_ICONS)
-coreicontinydir		= $(coredir)/icons/tiny
-dist_coreicontiny_DATA	= $(TINY_ICONS)
-
-#
-# Sample configs (/usr/local/share/core/examples/configs)
-#
-coreconfigsdir		= $(datadir)/core/examples/configs
-dist_coreconfigs_DATA	= $(CONFIG_FILES) 
-
-
-dist-hook:
-	rm -rf $(distdir)/addons/.svn
-
-# extra cruft to remove
-DISTCLEANFILES	= Makefile.in
-
-# files to include in source tarball not included elsewhere
-EXTRA_DIST 	= addons

gui/Makefile.in

-# Makefile.in generated by automake 1.11.1 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
-# Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-# CORE
-# (c)2010-2012 the Boeing Company.
-# See the LICENSE file included in this distribution.
-#
-# author: Jeff Ahrenholz  <jeffrey.m.ahrenholz@boeing.com>
-#
-# Makefile for installing the CORE GUI. Since it is a Tcl/Tk script, we do not
-# build anything here.
-#
-
-
-VPATH = @srcdir@
-pkgdatadir = $(datadir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkglibexecdir = $(libexecdir)/@PACKAGE@
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-subdir = gui
-DIST_COMMON = $(dist_bin_SCRIPTS) $(dist_core_DATA) \
-	$(dist_core_SCRIPTS) $(dist_coreconfigs_DATA) \
-	$(dist_coreiconnormal_DATA) $(dist_coreicontiny_DATA) \
-	$(srcdir)/Makefile.am $(srcdir)/Makefile.in $(srcdir)/core.in \
-	$(srcdir)/version.tcl.in
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-	$(ACLOCAL_M4)
-mkinstalldirs = $(install_sh) -d
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES = core version.tcl
-CONFIG_CLEAN_VPATH_FILES =
-am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
-am__vpath_adj = case $$p in \
-    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
-    *) f=$$p;; \
-  esac;
-am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
-am__install_max = 40
-am__nobase_strip_setup = \
-  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
-am__nobase_strip = \
-  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
-am__nobase_list = $(am__nobase_strip_setup); \
-  for p in $$list; do echo "$$p $$p"; done | \
-  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
-  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
-    if (++n[$$2] == $(am__install_max)) \
-      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
-    END { for (dir in files) print dir, files[dir] }'
-am__base_list = \
-  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
-  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
-am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(coredir)" \
-	"$(DESTDIR)$(coredir)" "$(DESTDIR)$(coreconfigsdir)" \
-	"$(DESTDIR)$(coreiconnormaldir)" \
-	"$(DESTDIR)$(coreicontinydir)"
-SCRIPTS = $(dist_bin_SCRIPTS) $(dist_core_SCRIPTS)
-SOURCES =
-DIST_SOURCES =
-DATA = $(dist_core_DATA) $(dist_coreconfigs_DATA) \
-	$(dist_coreiconnormal_DATA) $(dist_coreicontiny_DATA)
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-AMTAR = @AMTAR@
-ARCH = @ARCH@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-BINDIR = @BINDIR@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-COREDPY_VERSION = @COREDPY_VERSION@
-CORED_VERSION = @CORED_VERSION@
-CORE_CONF_DIR = @CORE_CONF_DIR@
-CORE_DATA_DIR = @CORE_DATA_DIR@
-CORE_GUI_CONF_DIR = @CORE_GUI_CONF_DIR@
-CORE_LIB_DIR = @CORE_LIB_DIR@
-CORE_STATE_DIR = @CORE_STATE_DIR@
-CORE_VERSION = @CORE_VERSION@
-CORE_VERSION_DATE = @CORE_VERSION_DATE@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-GREP = @GREP@
-HELP2MAN = @HELP2MAN@
-INSTALL = @INSTALL@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-LDFLAGS = @LDFLAGS@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LIB_DIR = @LIB_DIR@
-LN_S = @LN_S@
-LTLIBOBJS = @LTLIBOBJS@
-MAKEINFO = @MAKEINFO@
-MKDIR_P = @MKDIR_P@
-OBJEXT = @OBJEXT@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-PKG_CONFIG = @PKG_CONFIG@
-PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
-PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
-PYTHON = @PYTHON@
-PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
-PYTHON_PLATFORM = @PYTHON_PLATFORM@
-PYTHON_PREFIX = @PYTHON_PREFIX@
-PYTHON_VERSION = @PYTHON_VERSION@
-RANLIB = @RANLIB@
-SBINDIR = @SBINDIR@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-STRIP = @STRIP@
-VERSION = @VERSION@
-abs_builddir = @abs_builddir@
-abs_srcdir = @abs_srcdir@
-abs_top_builddir = @abs_top_builddir@
-abs_top_srcdir = @abs_top_srcdir@
-ac_ct_CC = @ac_ct_CC@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-brctl_path = @brctl_path@
-build_alias = @build_alias@
-builddir = @builddir@
-convert = @convert@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-ebtables_path = @ebtables_path@
-exec_prefix = @exec_prefix@
-gmake = @gmake@
-help2man = @help2man@
-host_alias = @host_alias@
-htmldir = @htmldir@
-ifconfig_path = @ifconfig_path@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-ip_path = @ip_path@
-libdir = @libdir@
-libev_CFLAGS = @libev_CFLAGS@
-libev_LIBS = @libev_LIBS@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-make_info = @make_info@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-mount_path = @mount_path@
-ngctl_path = @ngctl_path@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-pkgpyexecdir = @pkgpyexecdir@
-pkgpythondir = @pkgpythondir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-pyexecdir = @pyexecdir@
-pythondir = @pythondir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-srcdir = @srcdir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-tc_path = @tc_path@
-top_build_prefix = @top_build_prefix@
-top_builddir = @top_builddir@
-top_srcdir = @top_srcdir@
-umount_path = @umount_path@
-vimage_path = @vimage_path@
-TCL_FILES = annotations.tcl api.tcl canvas.tcl cfgparse.tcl \
-		core.tcl debug.tcl editor.tcl exec.tcl \
-		filemgmt.tcl gpgui.tcl \
-		graph_partitioning.tcl help.tcl \
-		initgui.tcl ipv4.tcl ipv6.tcl \
-		linkcfg.tcl mobility.tcl nodecfg.tcl \
-		nodes.tcl ns2imunes.tcl plugins.tcl \
-		tooltips.tcl topogen.tcl traffic.tcl util.tcl \
-		version.tcl widget.tcl wlan.tcl wlanscript.tcl \
-		exceptions.tcl
-
-TINY_ICONS = icons/tiny/button.play.gif \
-		icons/tiny/select.gif icons/tiny/marker.gif \
-		icons/tiny/rj45.gif icons/tiny/text.gif \
-		icons/tiny/edit-delete.gif icons/tiny/stop.gif \
-		icons/tiny/blank.gif icons/tiny/mobility.gif \
-		icons/tiny/script_play.gif icons/tiny/arrow.gif \
-		icons/tiny/lanswitch.gif icons/tiny/script_pause.gif \
-		icons/tiny/pc.gif icons/tiny/rectangle.gif \
-		icons/tiny/observe.gif icons/tiny/document-new.gif \
-		icons/tiny/document-save.gif \
-		icons/tiny/view-refresh.gif icons/tiny/moboff.gif \
-		icons/tiny/document-properties.gif icons/tiny/arrow.up.gif \
-		icons/tiny/host.gif icons/tiny/hub.gif \
-		icons/tiny/twonode.gif icons/tiny/router.gif \
-		icons/tiny/eraser.gif \
-		icons/tiny/stock_connect.gif icons/tiny/stock_disconnect.gif \
-		icons/tiny/ping.gif icons/tiny/link.gif \
-		icons/tiny/start.gif \
-		icons/tiny/trace.gif icons/tiny/button.stop.gif \
-		icons/tiny/arrow.down.gif icons/tiny/oval.gif \
-		icons/tiny/wlan.gif icons/tiny/delete.gif \
-		icons/tiny/run.gif icons/tiny/tunnel.gif \
-		icons/tiny/script_stop.gif \
-		icons/tiny/router_black.gif icons/tiny/router_green.gif \
-		icons/tiny/router_red.gif icons/tiny/router_yellow.gif \
-		icons/tiny/router_purple.gif \
-		icons/tiny/ap.gif icons/tiny/mdr.gif \
-		icons/tiny/folder.gif \
-		icons/tiny/cel.gif \
-		icons/tiny/fileopen.gif
-
-NORM_ICONS = icons/normal/gps-diagram.xbm \
-		icons/normal/router_black.gif icons/normal/host.gif \
-		icons/normal/hub.gif \
-		icons/normal/router.gif \
-		icons/normal/rj45.gif icons/normal/antenna.gif \
-		icons/normal/text.gif \
-		icons/normal/lanswitch.gif icons/normal/core-icon.png \
-		icons/normal/core-icon.xbm icons/normal/oval.gif \
-		icons/normal/wlan.gif icons/normal/pc.gif \
-		icons/normal/tunnel.gif icons/normal/core-logo-275x75.gif \
-		icons/normal/router_red.gif icons/normal/router_green.gif \
-		icons/normal/simple.xbm \
-		icons/normal/document-properties.gif \
-		icons/normal/thumb-unknown.gif \
-		icons/normal/router_purple.gif icons/normal/router_yellow.gif \
-		icons/normal/ap.gif icons/normal/mdr.gif
-
-CONFIG_FILES = configs/sample1.imn configs/sample1.scen \
-		configs/sample1-bg.gif configs/sample2-ssh.imn \
-		configs/sample3-bgp.imn	configs/sample4-nrlsmf.imn \
-		configs/sample4.scen configs/sample4-bg.jpg \
-		configs/sample5-mgen.imn configs/sample6-emane-rfpipe.imn \
-		configs/sample7-emane-ieee80211abg.imn
-
-OTHER_FILES = core-bsd-cleanup.sh
-
-#
-# CORE GUI script (/usr/local/bin/core)
-#
-dist_bin_SCRIPTS = core
-
-#
-# Tcl/Tk scripts (/usr/local/lib/core)
-#
-coredir = $(CORE_LIB_DIR)
-dist_core_DATA = $(TCL_FILES) 
-dist_core_SCRIPTS = $(OTHER_FILES)
-
-#
-# Icon files (/usr/local/lib/core/icons/[tiny,normal])
-#
-coreiconnormaldir = $(coredir)/icons/normal
-dist_coreiconnormal_DATA = $(NORM_ICONS)
-coreicontinydir = $(coredir)/icons/tiny
-dist_coreicontiny_DATA = $(TINY_ICONS)
-
-#
-# Sample configs (/usr/local/share/core/examples/configs)
-#
-coreconfigsdir = $(datadir)/core/examples/configs
-dist_coreconfigs_DATA = $(CONFIG_FILES) 
-
-# extra cruft to remove
-DISTCLEANFILES = Makefile.in
-
-# files to include in source tarball not included elsewhere
-EXTRA_DIST = addons
-all: all-am
-
-.SUFFIXES:
-$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
-	        && { if test -f $@; then exit 0; else break; fi; }; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign gui/Makefile'; \
-	$(am__cd) $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign gui/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure:  $(am__configure_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-core: $(top_builddir)/config.status $(srcdir)/core.in
-	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-version.tcl: $(top_builddir)/config.status $(srcdir)/version.tcl.in
-	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
-install-dist_binSCRIPTS: $(dist_bin_SCRIPTS)
-	@$(NORMAL_INSTALL)
-	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
-	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
-	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
-	done | \
-	sed -e 'p;s,.*/,,;n' \
-	    -e 'h;s|.*|.|' \
-	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
-	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
-	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
-	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
-	      if (++n[d] == $(am__install_max)) { \
-		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
-	    else { print "f", d "/" $$4, $$1 } } \
-	  END { for (d in files) print "f", d, files[d] }' | \
-	while read type dir files; do \
-	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
-	     test -z "$$files" || { \
-	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
-	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
-	     } \
-	; done
-
-uninstall-dist_binSCRIPTS:
-	@$(NORMAL_UNINSTALL)
-	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
-	files=`for p in $$list; do echo "$$p"; done | \
-	       sed -e 's,.*/,,;$(transform)'`; \
-	test -n "$$list" || exit 0; \
-	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
-	cd "$(DESTDIR)$(bindir)" && rm -f $$files
-install-dist_coreSCRIPTS: $(dist_core_SCRIPTS)
-	@$(NORMAL_INSTALL)
-	test -z "$(coredir)" || $(MKDIR_P) "$(DESTDIR)$(coredir)"
-	@list='$(dist_core_SCRIPTS)'; test -n "$(coredir)" || list=; \
-	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
-	done | \
-	sed -e 'p;s,.*/,,;n' \
-	    -e 'h;s|.*|.|' \
-	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
-	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
-	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
-	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
-	      if (++n[d] == $(am__install_max)) { \
-		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
-	    else { print "f", d "/" $$4, $$1 } } \
-	  END { for (d in files) print "f", d, files[d] }' | \
-	while read type dir files; do \
-	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
-	     test -z "$$files" || { \
-	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(coredir)$$dir'"; \
-	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(coredir)$$dir" || exit $$?; \
-	     } \
-	; done
-
-uninstall-dist_coreSCRIPTS:
-	@$(NORMAL_UNINSTALL)
-	@list='$(dist_core_SCRIPTS)'; test -n "$(coredir)" || exit 0; \
-	files=`for p in $$list; do echo "$$p"; done | \
-	       sed -e 's,.*/,,;$(transform)'`; \
-	test -n "$$list" || exit 0; \
-	echo " ( cd '$(DESTDIR)$(coredir)' && rm -f" $$files ")"; \
-	cd "$(DESTDIR)$(coredir)" && rm -f $$files
-install-dist_coreDATA: $(dist_core_DATA)
-	@$(NORMAL_INSTALL)
-	test -z "$(coredir)" || $(MKDIR_P) "$(DESTDIR)$(coredir)"
-	@list='$(dist_core_DATA)'; test -n "$(coredir)" || list=; \
-	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  echo "$$d$$p"; \
-	done | $(am__base_list) | \
-	while read files; do \
-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coredir)'"; \
-	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coredir)" || exit $$?; \
-	done
-
-uninstall-dist_coreDATA:
-	@$(NORMAL_UNINSTALL)
-	@list='$(dist_core_DATA)'; test -n "$(coredir)" || list=; \
-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-	test -n "$$files" || exit 0; \
-	echo " ( cd '$(DESTDIR)$(coredir)' && rm -f" $$files ")"; \
-	cd "$(DESTDIR)$(coredir)" && rm -f $$files
-install-dist_coreconfigsDATA: $(dist_coreconfigs_DATA)
-	@$(NORMAL_INSTALL)
-	test -z "$(coreconfigsdir)" || $(MKDIR_P) "$(DESTDIR)$(coreconfigsdir)"
-	@list='$(dist_coreconfigs_DATA)'; test -n "$(coreconfigsdir)" || list=; \
-	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  echo "$$d$$p"; \
-	done | $(am__base_list) | \
-	while read files; do \
-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coreconfigsdir)'"; \
-	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coreconfigsdir)" || exit $$?; \
-	done
-
-uninstall-dist_coreconfigsDATA:
-	@$(NORMAL_UNINSTALL)
-	@list='$(dist_coreconfigs_DATA)'; test -n "$(coreconfigsdir)" || list=; \
-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-	test -n "$$files" || exit 0; \
-	echo " ( cd '$(DESTDIR)$(coreconfigsdir)' && rm -f" $$files ")"; \
-	cd "$(DESTDIR)$(coreconfigsdir)" && rm -f $$files
-install-dist_coreiconnormalDATA: $(dist_coreiconnormal_DATA)
-	@$(NORMAL_INSTALL)
-	test -z "$(coreiconnormaldir)" || $(MKDIR_P) "$(DESTDIR)$(coreiconnormaldir)"
-	@list='$(dist_coreiconnormal_DATA)'; test -n "$(coreiconnormaldir)" || list=; \
-	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  echo "$$d$$p"; \
-	done | $(am__base_list) | \
-	while read files; do \
-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coreiconnormaldir)'"; \
-	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coreiconnormaldir)" || exit $$?; \
-	done
-
-uninstall-dist_coreiconnormalDATA:
-	@$(NORMAL_UNINSTALL)
-	@list='$(dist_coreiconnormal_DATA)'; test -n "$(coreiconnormaldir)" || list=; \
-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-	test -n "$$files" || exit 0; \
-	echo " ( cd '$(DESTDIR)$(coreiconnormaldir)' && rm -f" $$files ")"; \
-	cd "$(DESTDIR)$(coreiconnormaldir)" && rm -f $$files
-install-dist_coreicontinyDATA: $(dist_coreicontiny_DATA)
-	@$(NORMAL_INSTALL)
-	test -z "$(coreicontinydir)" || $(MKDIR_P) "$(DESTDIR)$(coreicontinydir)"
-	@list='$(dist_coreicontiny_DATA)'; test -n "$(coreicontinydir)" || list=; \
-	for p in $$list; do \
-	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
-	  echo "$$d$$p"; \
-	done | $(am__base_list) | \
-	while read files; do \
-	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coreicontinydir)'"; \
-	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coreicontinydir)" || exit $$?; \
-	done
-
-uninstall-dist_coreicontinyDATA:
-	@$(NORMAL_UNINSTALL)
-	@list='$(dist_coreicontiny_DATA)'; test -n "$(coreicontinydir)" || list=; \
-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
-	test -n "$$files" || exit 0; \
-	echo " ( cd '$(DESTDIR)$(coreicontinydir)' && rm -f" $$files ")"; \
-	cd "$(DESTDIR)$(coreicontinydir)" && rm -f $$files
-tags: TAGS
-TAGS:
-
-ctags: CTAGS
-CTAGS:
-
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-	$(MAKE) $(AM_MAKEFLAGS) \
-	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
-	  dist-hook
-check-am: all-am
-check: check-am
-all-am: Makefile $(SCRIPTS) $(DATA)
-installdirs:
-	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(coredir)" "$(DESTDIR)$(coredir)" "$(DESTDIR)$(coreconfigsdir)" "$(DESTDIR)$(coreiconnormaldir)" "$(DESTDIR)$(coreicontinydir)"; do \
-	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
-	done
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-	  `test -z '$(STRIP)' || \
-	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
-	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
-
-maintainer-clean-generic:
-	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic mostlyclean-am
-
-distclean: distclean-am
-	-rm -f Makefile
-distclean-am: clean-am distclean-generic
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-html-am:
-
-info: info-am
-
-info-am:
-
-install-data-am: install-dist_coreDATA install-dist_coreSCRIPTS \
-	install-dist_coreconfigsDATA install-dist_coreiconnormalDATA \
-	install-dist_coreicontinyDATA
-
-install-dvi: install-dvi-am
-
-install-dvi-am:
-
-install-exec-am: install-dist_binSCRIPTS
-
-install-html: install-html-am
-
-install-html-am:
-
-install-info: install-info-am
-
-install-info-am:
-
-install-man:
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-	-rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-generic
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-dist_binSCRIPTS uninstall-dist_coreDATA \
-	uninstall-dist_coreSCRIPTS uninstall-dist_coreconfigsDATA \
-	uninstall-dist_coreiconnormalDATA \
-	uninstall-dist_coreicontinyDATA
-
-.MAKE: install-am install-strip
-
-.PHONY: all all-am check check-am clean clean-generic dist-hook \
-	distclean distclean-generic distdir dvi dvi-am html html-am \
-	info info-am install install-am install-data install-data-am \
-	install-dist_binSCRIPTS install-dist_coreDATA \
-	install-dist_coreSCRIPTS install-dist_coreconfigsDATA \
-	install-dist_coreiconnormalDATA install-dist_coreicontinyDATA \
-	install-dvi install-dvi-am install-exec install-exec-am \
-	install-html install-html-am install-info install-info-am \
-	install-man install-pdf install-pdf-am install-ps \
-	install-ps-am install-strip installcheck installcheck-am \
-	installdirs maintainer-clean maintainer-clean-generic \
-	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
-	uninstall-am uninstall-dist_binSCRIPTS uninstall-dist_coreDATA \
-	uninstall-dist_coreSCRIPTS uninstall-dist_coreconfigsDATA \
-	uninstall-dist_coreiconnormalDATA \
-	uninstall-dist_coreicontinyDATA
-
-
-dist-hook:
-	rm -rf $(distdir)/addons/.svn
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:

gui/TopologyEditor/CHANGE

+#########################################
+## These are the change made for Imalse
+## [2012-08-18 22:28:41]
+#########################################
+editor.tcl
+--------------------
+revise the popupConfigDialog 
+from line 2430 to line 2478. Add menu to configure the role and the traceflag
+
+
+cfgparse.tcl
+---------------------
+revise from line 544 to line 549. export role and trace flag to the imn file, so
+that it can be loaded next time
+            role {
+                lappend $object "role {$value}"
+            }
+            traceflag {
+                lappend $object "traceflag {$value}"
+            }
+	
+
+linkcfg.tcl
+----------------------
+line 277 to 294
+add
+proc getLinkTraceFlag { link } {
+proc setLinkTraceFlag { link value } {
+
+nodecfg.tcl
+------------------------
+add the following functions
+getNodeRole
+setNodeRole
+getNodeTraceFlag
+setNodeTraceFlag
+
+
+util.tc
+-------------------------
+add the following functions
+getid
+getLinkNodes
+echoPuts
+getRoleNode
+getTraceLinks
+getTraceNodes
+exportImalse
+
+
+initgui.tcl
+-----------------------
+Add
+# start Imalse
+set def_router_role none
+set def_router_traceflag no
+set defLinkTraceFlag no
+# end Imalse

gui/TopologyEditor/Makefile.am

+# CORE
+# (c)2010-2012 the Boeing Company.
+# See the LICENSE file included in this distribution.
+#
+# author: Jeff Ahrenholz  <jeffrey.m.ahrenholz@boeing.com>
+#
+# Makefile for installing the CORE GUI. Since it is a Tcl/Tk script, we do not
+# build anything here.
+#
+
+TCL_FILES	= annotations.tcl api.tcl canvas.tcl cfgparse.tcl \
+		core.tcl debug.tcl editor.tcl exec.tcl \
+		filemgmt.tcl gpgui.tcl \
+		graph_partitioning.tcl help.tcl \
+		initgui.tcl ipv4.tcl ipv6.tcl \
+		linkcfg.tcl mobility.tcl nodecfg.tcl \
+		nodes.tcl ns2imunes.tcl plugins.tcl \
+		tooltips.tcl topogen.tcl traffic.tcl util.tcl \
+		version.tcl widget.tcl wlan.tcl wlanscript.tcl \
+		exceptions.tcl
+
+TINY_ICONS	= icons/tiny/button.play.gif \
+		icons/tiny/select.gif icons/tiny/marker.gif \
+		icons/tiny/rj45.gif icons/tiny/text.gif \
+		icons/tiny/edit-delete.gif icons/tiny/stop.gif \
+		icons/tiny/blank.gif icons/tiny/mobility.gif \
+		icons/tiny/script_play.gif icons/tiny/arrow.gif \
+		icons/tiny/lanswitch.gif icons/tiny/script_pause.gif \
+		icons/tiny/pc.gif icons/tiny/rectangle.gif \
+		icons/tiny/observe.gif icons/tiny/document-new.gif \
+		icons/tiny/document-save.gif \
+		icons/tiny/view-refresh.gif icons/tiny/moboff.gif \
+		icons/tiny/document-properties.gif icons/tiny/arrow.up.gif \
+		icons/tiny/host.gif icons/tiny/hub.gif \
+		icons/tiny/twonode.gif icons/tiny/router.gif \
+		icons/tiny/eraser.gif \
+		icons/tiny/stock_connect.gif icons/tiny/stock_disconnect.gif \
+		icons/tiny/ping.gif icons/tiny/link.gif \
+		icons/tiny/start.gif \
+		icons/tiny/trace.gif icons/tiny/button.stop.gif \
+		icons/tiny/arrow.down.gif icons/tiny/oval.gif \
+		icons/tiny/wlan.gif icons/tiny/delete.gif \
+		icons/tiny/run.gif icons/tiny/tunnel.gif \
+		icons/tiny/script_stop.gif \
+		icons/tiny/router_black.gif icons/tiny/router_green.gif \
+		icons/tiny/router_red.gif icons/tiny/router_yellow.gif \
+		icons/tiny/router_purple.gif \
+		icons/tiny/ap.gif icons/tiny/mdr.gif \
+		icons/tiny/folder.gif \
+		icons/tiny/cel.gif \
+		icons/tiny/fileopen.gif
+
+NORM_ICONS	= icons/normal/gps-diagram.xbm \
+		icons/normal/router_black.gif icons/normal/host.gif \
+		icons/normal/hub.gif \
+		icons/normal/router.gif \
+		icons/normal/rj45.gif icons/normal/antenna.gif \
+		icons/normal/text.gif \
+		icons/normal/lanswitch.gif icons/normal/core-icon.png \
+		icons/normal/core-icon.xbm icons/normal/oval.gif \
+		icons/normal/wlan.gif icons/normal/pc.gif \
+		icons/normal/tunnel.gif icons/normal/core-logo-275x75.gif \
+		icons/normal/router_red.gif icons/normal/router_green.gif \
+		icons/normal/simple.xbm \
+		icons/normal/document-properties.gif \
+		icons/normal/thumb-unknown.gif \
+		icons/normal/router_purple.gif icons/normal/router_yellow.gif \
+		icons/normal/ap.gif icons/normal/mdr.gif
+
+CONFIG_FILES	= configs/sample1.imn configs/sample1.scen \
+		configs/sample1-bg.gif configs/sample2-ssh.imn \
+		configs/sample3-bgp.imn	configs/sample4-nrlsmf.imn \
+		configs/sample4.scen configs/sample4-bg.jpg \
+		configs/sample5-mgen.imn configs/sample6-emane-rfpipe.imn \
+		configs/sample7-emane-ieee80211abg.imn
+
+OTHER_FILES	= core-bsd-cleanup.sh
+
+#
+# CORE GUI script (/usr/local/bin/core)
+#
+dist_bin_SCRIPTS = core
+
+#
+# Tcl/Tk scripts (/usr/local/lib/core)
+#
+coredir			= $(CORE_LIB_DIR)
+dist_core_DATA		= $(TCL_FILES) 
+dist_core_SCRIPTS	= $(OTHER_FILES)
+
+#
+# Icon files (/usr/local/lib/core/icons/[tiny,normal])
+#
+coreiconnormaldir	= $(coredir)/icons/normal
+dist_coreiconnormal_DATA = $(NORM_ICONS)
+coreicontinydir		= $(coredir)/icons/tiny
+dist_coreicontiny_DATA	= $(TINY_ICONS)
+
+#
+# Sample configs (/usr/local/share/core/examples/configs)
+#
+coreconfigsdir		= $(datadir)/core/examples/configs
+dist_coreconfigs_DATA	= $(CONFIG_FILES) 
+
+
+dist-hook:
+	rm -rf $(distdir)/addons/.svn
+
+# extra cruft to remove
+DISTCLEANFILES	= Makefile.in
+
+# files to include in source tarball not included elsewhere
+EXTRA_DIST 	= addons

gui/TopologyEditor/Makefile.in

+# Makefile.in generated by automake 1.11.1 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
+# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
+# Inc.
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+
+# CORE
+# (c)2010-2012 the Boeing Company.
+# See the LICENSE file included in this distribution.
+#
+# author: Jeff Ahrenholz  <jeffrey.m.ahrenholz@boeing.com>
+#
+# Makefile for installing the CORE GUI. Since it is a Tcl/Tk script, we do not
+# build anything here.
+#
+
+
+VPATH = @srcdir@
+pkgdatadir = $(datadir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkglibexecdir = $(libexecdir)/@PACKAGE@
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+subdir = gui
+DIST_COMMON = $(dist_bin_SCRIPTS) $(dist_core_DATA) \
+	$(dist_core_SCRIPTS) $(dist_coreconfigs_DATA) \
+	$(dist_coreiconnormal_DATA) $(dist_coreicontiny_DATA) \
+	$(srcdir)/Makefile.am $(srcdir)/Makefile.in $(srcdir)/core.in \
+	$(srcdir)/version.tcl.in
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/config.h
+CONFIG_CLEAN_FILES = core version.tcl
+CONFIG_CLEAN_VPATH_FILES =
+am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
+am__vpath_adj = case $$p in \
+    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
+    *) f=$$p;; \
+  esac;
+am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
+am__install_max = 40
+am__nobase_strip_setup = \
+  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
+am__nobase_strip = \
+  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
+am__nobase_list = $(am__nobase_strip_setup); \
+  for p in $$list; do echo "$$p $$p"; done | \
+  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
+  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
+    if (++n[$$2] == $(am__install_max)) \
+      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
+    END { for (dir in files) print dir, files[dir] }'
+am__base_list = \
+  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
+  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
+am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(coredir)" \
+	"$(DESTDIR)$(coredir)" "$(DESTDIR)$(coreconfigsdir)" \
+	"$(DESTDIR)$(coreiconnormaldir)" \
+	"$(DESTDIR)$(coreicontinydir)"
+SCRIPTS = $(dist_bin_SCRIPTS) $(dist_core_SCRIPTS)
+SOURCES =
+DIST_SOURCES =
+DATA = $(dist_core_DATA) $(dist_coreconfigs_DATA) \
+	$(dist_coreiconnormal_DATA) $(dist_coreicontiny_DATA)
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+AMTAR = @AMTAR@
+ARCH = @ARCH@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+BINDIR = @BINDIR@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+COREDPY_VERSION = @COREDPY_VERSION@
+CORED_VERSION = @CORED_VERSION@
+CORE_CONF_DIR = @CORE_CONF_DIR@
+CORE_DATA_DIR = @CORE_DATA_DIR@
+CORE_GUI_CONF_DIR = @CORE_GUI_CONF_DIR@
+CORE_LIB_DIR = @CORE_LIB_DIR@
+CORE_STATE_DIR = @CORE_STATE_DIR@
+CORE_VERSION = @CORE_VERSION@
+CORE_VERSION_DATE = @CORE_VERSION_DATE@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EXEEXT = @EXEEXT@
+GREP = @GREP@
+HELP2MAN = @HELP2MAN@
+INSTALL = @INSTALL@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+LDFLAGS = @LDFLAGS@
+LIBOBJS = @LIBOBJS@
+LIBS = @LIBS@
+LIB_DIR = @LIB_DIR@
+LN_S = @LN_S@
+LTLIBOBJS = @LTLIBOBJS@
+MAKEINFO = @MAKEINFO@
+MKDIR_P = @MKDIR_P@
+OBJEXT = @OBJEXT@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_URL = @PACKAGE_URL@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
+PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
+PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
+PYTHON = @PYTHON@
+PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
+PYTHON_PLATFORM = @PYTHON_PLATFORM@
+PYTHON_PREFIX = @PYTHON_PREFIX@
+PYTHON_VERSION = @PYTHON_VERSION@
+RANLIB = @RANLIB@
+SBINDIR = @SBINDIR@
+SET_MAKE = @SET_MAKE@
+SHELL = @SHELL@
+STRIP = @STRIP@
+VERSION = @VERSION@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
+abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
+ac_ct_CC = @ac_ct_CC@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+brctl_path = @brctl_path@
+build_alias = @build_alias@
+builddir = @builddir@
+convert = @convert@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+ebtables_path = @ebtables_path@
+exec_prefix = @exec_prefix@
+gmake = @gmake@
+help2man = @help2man@
+host_alias = @host_alias@
+htmldir = @htmldir@
+ifconfig_path = @ifconfig_path@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+ip_path = @ip_path@
+libdir = @libdir@
+libev_CFLAGS = @libev_CFLAGS@
+libev_LIBS = @libev_LIBS@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+make_info = @make_info@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+mount_path = @mount_path@
+ngctl_path = @ngctl_path@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+pkgpyexecdir = @pkgpyexecdir@
+pkgpythondir = @pkgpythondir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+pyexecdir = @pyexecdir@
+pythondir = @pythondir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+tc_path = @tc_path@
+top_build_prefix = @top_build_prefix@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+umount_path = @umount_path@
+vimage_path = @vimage_path@
+TCL_FILES = annotations.tcl api.tcl canvas.tcl cfgparse.tcl \
+		core.tcl debug.tcl editor.tcl exec.tcl \
+		filemgmt.tcl gpgui.tcl \
+		graph_partitioning.tcl help.tcl \
+		initgui.tcl ipv4.tcl ipv6.tcl \
+		linkcfg.tcl mobility.tcl nodecfg.tcl \
+		nodes.tcl ns2imunes.tcl plugins.tcl \
+		tooltips.tcl topogen.tcl traffic.tcl util.tcl \
+		version.tcl widget.tcl wlan.tcl wlanscript.tcl \
+		exceptions.tcl
+
+TINY_ICONS = icons/tiny/button.play.gif \
+		icons/tiny/select.gif icons/tiny/marker.gif \
+		icons/tiny/rj45.gif icons/tiny/text.gif \
+		icons/tiny/edit-delete.gif icons/tiny/stop.gif \
+		icons/tiny/blank.gif icons/tiny/mobility.gif \
+		icons/tiny/script_play.gif icons/tiny/arrow.gif \
+		icons/tiny/lanswitch.gif icons/tiny/script_pause.gif \
+		icons/tiny/pc.gif icons/tiny/rectangle.gif \
+		icons/tiny/observe.gif icons/tiny/document-new.gif \
+		icons/tiny/document-save.gif \
+		icons/tiny/view-refresh.gif icons/tiny/moboff.gif \
+		icons/tiny/document-properties.gif icons/tiny/arrow.up.gif \
+		icons/tiny/host.gif icons/tiny/hub.gif \
+		icons/tiny/twonode.gif icons/tiny/router.gif \
+		icons/tiny/eraser.gif \
+		icons/tiny/stock_connect.gif icons/tiny/stock_disconnect.gif \
+		icons/tiny/ping.gif icons/tiny/link.gif \
+		icons/tiny/start.gif \
+		icons/tiny/trace.gif icons/tiny/button.stop.gif \
+		icons/tiny/arrow.down.gif icons/tiny/oval.gif \
+		icons/tiny/wlan.gif icons/tiny/delete.gif \
+		icons/tiny/run.gif icons/tiny/tunnel.gif \
+		icons/tiny/script_stop.gif \
+		icons/tiny/router_black.gif icons/tiny/router_green.gif \
+		icons/tiny/router_red.gif icons/tiny/router_yellow.gif \
+		icons/tiny/router_purple.gif \
+		icons/tiny/ap.gif icons/tiny/mdr.gif \
+		icons/tiny/folder.gif \
+		icons/tiny/cel.gif \
+		icons/tiny/fileopen.gif
+
+NORM_ICONS = icons/normal/gps-diagram.xbm \
+		icons/normal/router_black.gif icons/normal/host.gif \
+		icons/normal/hub.gif \
+		icons/normal/router.gif \
+		icons/normal/rj45.gif icons/normal/antenna.gif \
+		icons/normal/text.gif \
+		icons/normal/lanswitch.gif icons/normal/core-icon.png \
+		icons/normal/core-icon.xbm icons/normal/oval.gif \
+		icons/normal/wlan.gif icons/normal/pc.gif \
+		icons/normal/tunnel.gif icons/normal/core-logo-275x75.gif \
+		icons/normal/router_red.gif icons/normal/router_green.gif \
+		icons/normal/simple.xbm \
+		icons/normal/document-properties.gif \
+		icons/normal/thumb-unknown.gif \
+		icons/normal/router_purple.gif icons/normal/router_yellow.gif \
+		icons/normal/ap.gif icons/normal/mdr.gif
+
+CONFIG_FILES = configs/sample1.imn configs/sample1.scen \
+		configs/sample1-bg.gif configs/sample2-ssh.imn \
+		configs/sample3-bgp.imn	configs/sample4-nrlsmf.imn \
+		configs/sample4.scen configs/sample4-bg.jpg \
+		configs/sample5-mgen.imn configs/sample6-emane-rfpipe.imn \
+		configs/sample7-emane-ieee80211abg.imn
+
+OTHER_FILES = core-bsd-cleanup.sh
+
+#
+# CORE GUI script (/usr/local/bin/core)
+#
+dist_bin_SCRIPTS = core
+
+#
+# Tcl/Tk scripts (/usr/local/lib/core)
+#
+coredir = $(CORE_LIB_DIR)
+dist_core_DATA = $(TCL_FILES) 
+dist_core_SCRIPTS = $(OTHER_FILES)
+
+#
+# Icon files (/usr/local/lib/core/icons/[tiny,normal])
+#
+coreiconnormaldir = $(coredir)/icons/normal
+dist_coreiconnormal_DATA = $(NORM_ICONS)
+coreicontinydir = $(coredir)/icons/tiny
+dist_coreicontiny_DATA = $(TINY_ICONS)
+
+#
+# Sample configs (/usr/local/share/core/examples/configs)
+#
+coreconfigsdir = $(datadir)/core/examples/configs
+dist_coreconfigs_DATA = $(CONFIG_FILES) 
+
+# extra cruft to remove
+DISTCLEANFILES = Makefile.in
+
+# files to include in source tarball not included elsewhere
+EXTRA_DIST = addons
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
+	        && { if test -f $@; then exit 0; else break; fi; }; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign gui/Makefile'; \
+	$(am__cd) $(top_srcdir) && \
+	  $(AUTOMAKE) --foreign gui/Makefile
+.PRECIOUS: Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+core: $(top_builddir)/config.status $(srcdir)/core.in
+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+version.tcl: $(top_builddir)/config.status $(srcdir)/version.tcl.in
+	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
+install-dist_binSCRIPTS: $(dist_bin_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
+	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
+	done | \
+	sed -e 'p;s,.*/,,;n' \
+	    -e 'h;s|.*|.|' \
+	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
+	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
+	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
+	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
+	      if (++n[d] == $(am__install_max)) { \
+		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
+	    else { print "f", d "/" $$4, $$1 } } \
+	  END { for (d in files) print "f", d, files[d] }' | \
+	while read type dir files; do \
+	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
+	     test -z "$$files" || { \
+	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
+	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
+	     } \
+	; done
+
+uninstall-dist_binSCRIPTS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(dist_bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
+	files=`for p in $$list; do echo "$$p"; done | \
+	       sed -e 's,.*/,,;$(transform)'`; \
+	test -n "$$list" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(bindir)" && rm -f $$files
+install-dist_coreSCRIPTS: $(dist_core_SCRIPTS)
+	@$(NORMAL_INSTALL)
+	test -z "$(coredir)" || $(MKDIR_P) "$(DESTDIR)$(coredir)"
+	@list='$(dist_core_SCRIPTS)'; test -n "$(coredir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
+	done | \
+	sed -e 'p;s,.*/,,;n' \
+	    -e 'h;s|.*|.|' \
+	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
+	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
+	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
+	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
+	      if (++n[d] == $(am__install_max)) { \
+		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
+	    else { print "f", d "/" $$4, $$1 } } \
+	  END { for (d in files) print "f", d, files[d] }' | \
+	while read type dir files; do \
+	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
+	     test -z "$$files" || { \
+	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(coredir)$$dir'"; \
+	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(coredir)$$dir" || exit $$?; \
+	     } \
+	; done
+
+uninstall-dist_coreSCRIPTS:
+	@$(NORMAL_UNINSTALL)
+	@list='$(dist_core_SCRIPTS)'; test -n "$(coredir)" || exit 0; \
+	files=`for p in $$list; do echo "$$p"; done | \
+	       sed -e 's,.*/,,;$(transform)'`; \
+	test -n "$$list" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(coredir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(coredir)" && rm -f $$files
+install-dist_coreDATA: $(dist_core_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(coredir)" || $(MKDIR_P) "$(DESTDIR)$(coredir)"
+	@list='$(dist_core_DATA)'; test -n "$(coredir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \
+	done | $(am__base_list) | \
+	while read files; do \
+	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coredir)'"; \
+	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coredir)" || exit $$?; \
+	done
+
+uninstall-dist_coreDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(dist_core_DATA)'; test -n "$(coredir)" || list=; \
+	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	test -n "$$files" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(coredir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(coredir)" && rm -f $$files
+install-dist_coreconfigsDATA: $(dist_coreconfigs_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(coreconfigsdir)" || $(MKDIR_P) "$(DESTDIR)$(coreconfigsdir)"
+	@list='$(dist_coreconfigs_DATA)'; test -n "$(coreconfigsdir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \
+	done | $(am__base_list) | \
+	while read files; do \
+	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coreconfigsdir)'"; \
+	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coreconfigsdir)" || exit $$?; \
+	done
+
+uninstall-dist_coreconfigsDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(dist_coreconfigs_DATA)'; test -n "$(coreconfigsdir)" || list=; \
+	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	test -n "$$files" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(coreconfigsdir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(coreconfigsdir)" && rm -f $$files
+install-dist_coreiconnormalDATA: $(dist_coreiconnormal_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(coreiconnormaldir)" || $(MKDIR_P) "$(DESTDIR)$(coreiconnormaldir)"
+	@list='$(dist_coreiconnormal_DATA)'; test -n "$(coreiconnormaldir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \
+	done | $(am__base_list) | \
+	while read files; do \
+	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coreiconnormaldir)'"; \
+	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coreiconnormaldir)" || exit $$?; \
+	done
+
+uninstall-dist_coreiconnormalDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(dist_coreiconnormal_DATA)'; test -n "$(coreiconnormaldir)" || list=; \
+	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	test -n "$$files" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(coreiconnormaldir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(coreiconnormaldir)" && rm -f $$files
+install-dist_coreicontinyDATA: $(dist_coreicontiny_DATA)
+	@$(NORMAL_INSTALL)
+	test -z "$(coreicontinydir)" || $(MKDIR_P) "$(DESTDIR)$(coreicontinydir)"
+	@list='$(dist_coreicontiny_DATA)'; test -n "$(coreicontinydir)" || list=; \
+	for p in $$list; do \
+	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
+	  echo "$$d$$p"; \
+	done | $(am__base_list) | \
+	while read files; do \
+	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(coreicontinydir)'"; \
+	  $(INSTALL_DATA) $$files "$(DESTDIR)$(coreicontinydir)" || exit $$?; \
+	done
+
+uninstall-dist_coreicontinyDATA:
+	@$(NORMAL_UNINSTALL)
+	@list='$(dist_coreicontiny_DATA)'; test -n "$(coreicontinydir)" || list=; \
+	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
+	test -n "$$files" || exit 0; \
+	echo " ( cd '$(DESTDIR)$(coreicontinydir)' && rm -f" $$files ")"; \
+	cd "$(DESTDIR)$(coreicontinydir)" && rm -f $$files
+tags: TAGS
+TAGS:
+
+ctags: CTAGS
+CTAGS:
+
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+	    if test -d "$(distdir)/$$file"; then \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \
+	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
+	  else \
+	    test -f "$(distdir)/$$file" \
+	    || cp -p $$d/$$file "$(distdir)/$$file" \
+	    || exit 1; \
+	  fi; \
+	done
+	$(MAKE) $(AM_MAKEFLAGS) \
+	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
+	  dist-hook
+check-am: all-am
+check: check-am
+all-am: Makefile $(SCRIPTS) $(DATA)
+installdirs:
+	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(coredir)" "$(DESTDIR)$(coredir)" "$(DESTDIR)$(coreconfigsdir)" "$(DESTDIR)$(coreiconnormaldir)" "$(DESTDIR)$(coreicontinydir)"; do \
+	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
+	done
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	  `test -z '$(STRIP)' || \
+	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
+mostlyclean-generic:
+
+clean-generic:
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+html-am:
+
+info: info-am
+
+info-am:
+
+install-data-am: install-dist_coreDATA install-dist_coreSCRIPTS \
+	install-dist_coreconfigsDATA install-dist_coreiconnormalDATA \
+	install-dist_coreicontinyDATA
+
+install-dvi: install-dvi-am
+
+install-dvi-am:
+
+install-exec-am: install-dist_binSCRIPTS
+
+install-html: install-html-am
+
+install-html-am:
+
+install-info: install-info-am
+
+install-info-am:
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-pdf-am:
+
+install-ps: install-ps-am
+
+install-ps-am:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am: uninstall-dist_binSCRIPTS uninstall-dist_coreDATA \
+	uninstall-dist_coreSCRIPTS uninstall-dist_coreconfigsDATA \
+	uninstall-dist_coreiconnormalDATA \
+	uninstall-dist_coreicontinyDATA
+
+.MAKE: install-am install-strip
+
+.PHONY: all all-am check check-am clean clean-generic dist-hook \
+	distclean distclean-generic distdir dvi dvi-am html html-am \
+	info info-am install install-am install-data install-data-am \
+	install-dist_binSCRIPTS install-dist_coreDATA \
+	install-dist_coreSCRIPTS install-dist_coreconfigsDATA \
+	install-dist_coreiconnormalDATA install-dist_coreicontinyDATA \
+	install-dvi install-dvi-am install-exec install-exec-am \
+	install-html install-html-am install-info install-info-am \
+	install-man install-pdf install-pdf-am install-ps \
+	install-ps-am install-strip installcheck installcheck-am \
+	installdirs maintainer-clean maintainer-clean-generic \
+	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
+	uninstall-am uninstall-dist_binSCRIPTS uninstall-dist_coreDATA \
+	uninstall-dist_coreSCRIPTS uninstall-dist_coreconfigsDATA \
+	uninstall-dist_coreiconnormalDATA \
+	uninstall-dist_coreicontinyDATA
+
+
+dist-hook:
+	rm -rf $(distdir)/addons/.svn
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:

gui/TopologyEditor/annotations.tcl

+#
+# Copyright 2005-2012 the Boeing Company.
+# See the LICENSE file included in this distribution.
+#
+
+#
+# Copyright 2007-2008 University of Zagreb, Croatia.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+
+#****h* imunes/annotations.tcl
+# NAME
+#  annotations.tcl -- oval, rectangle, text, background, ...
+# FUNCTION
+#  This module is used for configuration/image annotations, such as oval, 
+#  rectangle, text, background or some other.
+#****
+
+#****f* annotations.tcl/annotationConfig
+# NAME
+#   annotationConfig -- 
+# SYNOPSIS
+#   annotationConfig $canvas $target
+# FUNCTION
+#   . . .
+# INPUTS
+#   * canvas -- 
+#   * target -- oval or rectangle object
+#****
+
+proc annotationConfig { c target } {
+    switch -exact -- [nodeType $target] {
+	oval {
+	    popupAnnotationDialog $c $target "true"
+	}
+	rectangle {
+	    popupAnnotationDialog $c $target "true"
+	}
+	text {
+	    popupAnnotationDialog $c $target "true"
+	}
+	default {
+	    puts "Unknown type [nodeType $target] for target $target"
+	}
+    }
+    redrawAll
+}
+
+
+#****f* annotations.tcl/popupOvalDialog
+# NAME
+#   popupOvalDialog -- creates a new oval or modifies existing oval
+# SYNOPSIS
+#   popupOvalDialog $canvas $modify $color $label $lcolor
+# FUNCTION
+#   Called from:
+#   - editor.tcl/button1-release when new oval is drawn 
+#   - annotationConfig which is called from popupConfigDialog bound to 
+#     Double-1 on various objects
+#   - configureOval called from button3annotation procedure which creates
+#     a menu for configuration and deletion (bound to 3 on oval, 
+#     rectangle and text) 
+# INPUTS
+#   * canvas -- 
+#   * modify -- create new oval "newoval" if modify=false or 
+#     modify an existing oval "newoval" if modify=true
+#   * color  -- oval color
+#   * label  -- label text
+#   * lcolor -- label (text) color
+#****
+
+
+#****f* annotations.tcl/destroyNewoval
+# NAME
+#   destroyNewoval -- helper for popupOvalDialog and popupOvalApply
+# SYNOPSIS
+#   destroyNewoval $canvas
+# FUNCTION
+#   . . .
+# INPUTS
+#   * canvas -- 
+#****
+
+proc destroyNewoval { c } {
+    global newoval
+    $c delete -withtags newoval
+    set newoval ""
+}
+
+
+# oval/rectangle/text right-click menu
+
+proc button3annotation { type c x y } {
+
+    if { $type == "oval" } {